Subject: Re: bug#5803: 23.1.94; Using tq-enqueue in timer messes with keystroke echoing

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Dec 2020 17:39:37 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 09 Dec 2020 13:38:53 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Anybody got any insight into what might be happening here?
> >
> > The sit_for call ends prematurely because output from a subprocess
> > arrives?
> 
> I guess?  But is that supposed to happen?

I vaguely remember some issue with this, I will have to take a closer
look.